Get Gate Override

Reference for the GET /console/v1/gates/{id}/overrides endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/gates/{id}/overrides

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Response

application/json
201· Get Gate Override Success
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired

Contract for overrides

Show child attributes
passingUserIDsstring[]required

List of user IDs

Example:["user123","user456","user789"]
failingUserIDsstring[]required

List of user IDs

Example:["user123","user456","user789"]
passingCustomIDsstring[]

Optional list of custom IDs

Example:["custom123","custom456"]
failingCustomIDsstring[]

Optional list of custom IDs

Example:["custom123","custom456"]
environmentOverridesobject[]required
environmentstring

Environment

Example:staging
Constraints:nullable
unitIDstringrequired

Unit ID

Example:unit123
Constraints:nullable
passingIDsstring[]required

List of passing IDs

Example:["id1","id2"]
failingIDsstring[]required

List of failing IDs

Example:["id3","id4"]

Was this helpful?